![Logo](https://github.com/fluttify-project/fluttify-core-example/blob/develop/other/Logo-Landscape.png?raw=true)

# GoogleMap Map Component Flutter Plugin
[![pub package](https://img.shields.io/pub/v/google_map_fluttify.svg)](https://pub.Flutter-io.cn/packages/google_map_fluttify)

## 依赖
```yaml
dependencies:
  flutter:
    sdk: flutter
  google_map_fluttify: ^x.x.x
```

## 配置
### Android
1. 在`AndroidManifest.xml`中配置key:
```xml
<meta-data
        android:name="com.google.android.gms.version"
        android:value="@integer/google_play_services_version" />
<meta-data
        android:name="com.google.android.geo.API_KEY"
        android:value="AIxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxh4"/>
```

### iOS
1. 使用地图需要使能UiKitView, 在Info.plist中添加:
```xml
<key>io.flutter.embedded_views_preview</key>
<string>YES</string>
```
2. 定位需要声明权限, 在Info.plist中添加:
```xml
<key>NSLocationWhenInUseUsageDescription</key>
<string>需要定位权限</string>
```

## 导入
```dart
import 'package:google_map_fluttify/google_map_fluttify.dart';
```

## 使用
参考[wiki](https://github.com/fluttify-project/google_map_fluttify/wiki).

## LICENSE
> Copyright (C) 2020 yohom
> 
> This program is free software: you can redistribute it and/or modify
> it under the terms of the GNU General Public License as published by
> the Free Software Foundation, either version 3 of the License, or
> (at your option) any later version.
> 
> This program is distributed in the hope that it will be useful,
> but WITHOUT ANY WARRANTY; without even the implied warranty of
> MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
> GNU General Public License for more details.
> 
> You should have received a copy of the GNU General Public License
> along with this program.  If not, see <https://www.gnu.org/licenses/>.