import 'package:flutter/services.dart';
import 'package:foundation_fluttify/foundation_fluttify.dart';
import 'package:google_map_fluttify/src/ios/ios.export.g.dart';
import 'package:google_map_fluttify/src/android/android.export.g.dart';

const kGoogleMapFluttifyMessageCodec = FluttifyMessageCodec(tag: 'google_map_fluttify'/*, androidCaster: GoogleMapFluttifyAndroidAs, iosCaster: GoogleMapFluttifyIOSAs*/);
const kGoogleMapFluttifyMethodCodec = StandardMethodCodec(kGoogleMapFluttifyMessageCodec);
const kGoogleMapFluttifyChannel = MethodChannel('me.yohom/google_map_fluttify', kGoogleMapFluttifyMethodCodec);
const kGoogleMapFluttifyProjectName = 'google_map_fluttify';

Future<void> releaseGoogleMapFluttifyPool() async {
  final isCurrentPlugin = (Ref it) => it.tag__ == kGoogleMapFluttifyProjectName;
  await gGlobalReleasePool.where(isCurrentPlugin).release_batch();
  gGlobalReleasePool.removeWhere(isCurrentPlugin);
}